| Class AnnotationStoreElement Represents an annotation of a contig feature. AnnotationStoreElement<> AnnotationStoreElement<TPos[, TSpec]> Include Headers seqan/store.h Parameters
TPos | Type to store (gap-space) positions.
TSpec | The specialization type. Default: void
Remarks Value type of the annotationStore string. The id of an annotation (aka annotationId) is not stored explicitly, as it is implicitly given by the position in the annotationStore. Typedefs
TId | Type of annotationId and contigId.
TPos | Type of the beginPos and endPos members.
TValues | StringSet type of the values member.
Data Members
beginPos | Begin position of the annotation in gap-space.
contigId | Refers to the contig in the contigStore the annotation is part of.
endPos | End position of the annotation in gap-space. If endPos < beginPos, the annotated feature is located on the reverse strand, where beginPos and endPos are the corresponding positions on the forward strand.
INVALID_ID | Constant to represent an invalid id.
INVALID_POS | Constant to represent an invalid position.
lastChildId | The id of the rightmost child annotation.
nextSiblingId | The id of the right sibling annotation.
parentId | The id of the parent annotation.
typeId | Refers to an entry in the annotationTypeStore. There are some type ids predefined for commonly used types, e.g. ANNO_GENE. See Predefined Annotation Types.
values | StringSet that stores additional annotation values addressed by keyId. The GFF/GTF file format allows to define user-specific key-value pairs. The set of all keys addressed by keyId are stored in the annotationKeyStore.
Member Functions
AnnotationStoreElement | Constructor
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56